Probleme bei LAMPP mit FreeBSD 4.7

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

Probleme bei LAMPP mit FreeBSD 4.7

Postby System » 05. February 2003 14:23

Also,

ich habe folgendes Problem wenn ich LAMPP starten möchte:

/opt/lampp/lampp: 17: Syntax error: "(" unexpected

Weiss jemand um Rat?

Danke
System
 

Postby Oswald » 05. February 2003 14:40

FreeBSD ist nicht Linux. :(

Ich fürchte das ist das Problem... Bzw. ganz genau genommen hat die Fehlermedlung ihre Ursache, dass FreeBSD als sh eine richtige Bourne-Shell hat, während Linux eine Bourne-Again-Shell hat. Daher die Fehlermeldung.

Gruß,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby System » 05. February 2003 14:42

Und wie kann ich das Problem lösen?
System
 

Postby Oswald » 05. February 2003 14:45

Ahoi System.

Ich befürchte gar nicht. Ich kenn mich zwar mit FreeBSD aus, aber ich befürchte die Linux-Binaries werden unter FreeBSD nicht wirklich laufen können.

Aber ruf doch mal auf: /opt/lampp/bin/apachectl start
Damit startest Du erstmal nur den Apache..

Was passiert da?

Gruß,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby Guest » 05. February 2003 14:47

Jetzt kommt dieser fehler :-(

ELF interpreter /compat/linux/lib/ld-linux.so.2 not found
Abort trap
Guest
 

Postby Oswald » 05. February 2003 14:54

Ja. Damit hab ich gerechnet. FreeBSD hat die Datei als Linux-Datei zwar erkannt, aber er konnte sie nicht starten.

FreeBSD ist zwar potentiell in der Lage auch Linux-Programme laufen zu lassen aber in diesem Fall fehlt im dazu offensichtlich etwas (der "Linux-Emulator") auf Deinem System.

Nun kann ich Dir keinen wirklichen Ratschlag mehr geben. Du könntest nun den "Linux-Emulator" oder die Linux-Libraries - ich hab keine Ahnung wie das wirklich unter FreeBSD heisst - bei Dir installieren. Aber ich befürchte LAMPP wird nie wirklich schön laufen. Es ist halt für Linux und nicht für FreeBSD.

Man müsste ein FAMPP machen... ;)

Grüße,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby Guest » 05. February 2003 15:08

Schade, naja kann man nix machen!
Guest
 

Postby System » 11. February 2003 16:55

So ich bins nochmal


ich lass nicht locker :-)

Hab jetzt den Emulator drauf wenn ich den befehl /opt/lampp/bin/apachectl start ausführe geht auch aber apache rennt irgendwie nicht, ne ahnung warum?
System
 


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests